Ubuntu Download Manager: Ubuntu::DownloadManager::AuthError Class Reference

Ubuntu Download Manager 1.2.0 A session-wide downloading service |

Public Types | Public Member Functions | Protected Member Functions | List of all members
Ubuntu::DownloadManager::AuthError Class Reference

The AuthError represents an authentication error that occurred during the request of the download. More...

`#include <error.h>`

Inheritance diagram for Ubuntu::DownloadManager::AuthError:
Collaboration diagram for Ubuntu::DownloadManager::AuthError:

## Public Types
enum | Type { Server, Proxy }
Public Types inherited from Ubuntu::DownloadManager::Error
enum | Type { Auth, DBus, Http, Network, Process, Hash }

## Public Member Functions
virtual | ~AuthError ()
Type | type ()
QString | phrase ()
QString | errorString () override
Public Member Functions inherited from Ubuntu::DownloadManager::Error
virtual | ~Error ()
Type | type ()

## Protected Member Functions
| AuthError (Transfers::Errors::AuthErrorStruct err, QObject *parent)
Protected Member Functions inherited from Ubuntu::DownloadManager::Error
| Error (Type type, QObject *parent=0)

## Detailed Description

The AuthError represents an authentication error that occurred during the request of the download.

Since
  0.3

The AuthError can occur due to two different reasons, either the download required a server side authentication or the download was performed via a proxy that requires authentication and was not provided.

Definition at line 185 of file error.h.

## Member Enumeration Documentation

## ◆ Type

enum Ubuntu::DownloadManager::AuthError::Type

Enumerator that represents the type of authentication error.

Enumerator
Server |
Proxy | The server needed authentication and it was not provided. The proxy needed authentication and it was not provided.

Definition at line 196 of file error.h.

## Constructor & Destructor Documentation

## ◆ ~AuthError()

Ubuntu::DownloadManager::AuthError::~AuthError | ( |  | ) |
| virtual

Disposes of this error and frees any resources associated with it.

Definition at line 326 of file error.cpp.

## ◆ AuthError()

Ubuntu::DownloadManager::AuthError::AuthError | ( | Transfers::Errors::AuthErrorStruct | err,
|  | QObject * | parent
| ) |  |
| protected

Creates a new error from the provided authentication error struct.

Definition at line 321 of file error.cpp.

## Member Function Documentation

## ◆ errorString()

QString Ubuntu::DownloadManager::AuthError::errorString | ( |  | ) |
| overridevirtual

/fn QString errorString() override

Returns a string representation of the error.

Reimplemented from Ubuntu::DownloadManager::Error.

Definition at line 343 of file error.cpp.

## ◆ phrase()

QString Ubuntu::DownloadManager::AuthError::phrase | ( |  | ) |

/fn QString phrase()

Returns a human readable explanation for the authentication error.

Definition at line 337 of file error.cpp.

## ◆ type()

AuthError::Type Ubuntu::DownloadManager::AuthError::type | ( |  | ) |

/fn Type type()

Returns the type of authentication error.

Definition at line 331 of file error.cpp.

The documentation for this class was generated from the following files:

- /build/ubuntu-download-manager-git/src/ubuntu-download-manager/src/downloads/client/ubuntu/download_manager/error.h
- /build/ubuntu-download-manager-git/src/ubuntu-download-manager/src/downloads/client/ubuntu/download_manager/error.cpp